(function($, owner) {
	/**
	 * 带着账号到服务器验证登录
	 **/
	//成功响应的回调函数
	var success = function(response) {
		var dataType = 'html';
		if(dataType === 'json') {
			response = JSON.stringify(response);
		} else if(dataType === 'xml') {
			response = new XMLSerializer().serializeToString(response).replace(/</g, "&lt;").replace(/>/g, "&gt;");
		}
		
		if(response == 'loginfailure')
			owner.saveToken('');
		else
			owner.saveToken(response);
	};
	//服务器登录
	owner.serverlogin = function(loginInfo, callback) {
		callback = callback || $.noop;
		//利用RunJS的Echo Ajax功能测试
		var loginInfo1={
			rl:encodeURIComponent(loginInfo.rl),
			type:encodeURIComponent(loginInfo.type),
			uid:loginInfo.uid,
			pwd:loginInfo.pwd
		}
		var url =localStorage.getItem('srvurl')+'phone/LoginHandle.ashx?';
		$.ajax(url, {
			data: loginInfo1,
			datatype: 'json', //数据类型
			type: 'post', //请求方式（get和post）
			timeout: 5000, //超时
			processData: true, 
			async: false, //异步
			contentType: "application/x-www-form-urlencoded; charset=utf-8", //内容类型
			success: function(response) { //成功后的响应
				var objdata = response;
				if(objdata == 'Error') //如果响应登录失败
				{
					owner.saveToken(''); //保存令牌
					return callback('账号或密码不正确！'); //返回回调
				} else {
					owner.saveToken(objdata); //保存令牌
					owner.saveLogin(loginInfo); //保存登录（登录信息）
					return callback(); //返回回调
				}
			},
			error: function(xhr, type, errorThrown) {
				return;
			}
		});
	}
	//保存登录信息
	owner.saveLogin = function(loginInfo) {
		loginInfo = loginInfo || {};
		localStorage.setItem('xiyilogininfo', JSON.stringify(loginInfo));
	}
	//获取登录信息
	owner.getLogin = function() {
		var loginInfo = localStorage.getItem('xiyilogininfo');
		return JSON.parse(loginInfo);
	}
	//保存令牌
	owner.saveToken = function(strtoken) {
		var strkey = 'yqxytoken';
		strtoken = strtoken || '';

		localStorage.setItem(strkey, strtoken);
	};
	//获取令牌
	owner.getToken = function() {
		var strkey = 'yqxytoken';
		var strtoken = localStorage.getItem(strkey) || '';
		return strtoken;
	};

	/**
	 * 获取当前状态
	 **/
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};
	/**
	 * 设置当前状态
	 **/
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
	};

	/**
	 * 获取应用本地配置
	 **/
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}
	/**
	 * 设置应用本地配置
	 **/
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}

	
}(mui, window.app = {}));